using CFX;
using CFX.ResourcePerformance;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 错误发生事件
    /// </summary>
    public class FaultOccurredEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle()
        {
            CFXMessage eve = null;
            try
            {
                eve = new FaultOccurred()
                {
                    Fault = new Fault()
                    {
                        Cause = FaultCause.MechanicalFailure,
                        Severity = FaultSeverity.Error,
                        FaultCode = "ERROR 3943480",
                        FaultOccurrenceId = Guid.NewGuid(),
                        Lane = 1,
                        AccessType = AccessType.Local,
                        Description = "Error",
                        OccurredAt = DateTime.Now,
                        TransactionID = Guid.NewGuid(),
                    }
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
